commit f2f6ba834e26e7ff56d51efae120c981404c1eb3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-25 13:14:37 +0900

    Updated translations.

M	po/ar.po
M	po/as.po
M	po/bn_IN.po
M	po/ca.po
M	po/da.po
M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/fa.po
M	po/fr.po
M	po/gu.po
M	po/hi.po
M	po/hu.po
M	po/ibus-xkb.pot
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/lv.po
M	po/ml.po
M	po/mr.po
M	po/nl.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sr.po
M	po/sr@latin.po
M	po/ta.po
M	po/te.po
M	po/tg.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 5192cd0371d09d6526c7c29df51ba341b179cb87
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-24 17:49:24 +0900

    Enhanced switcher UI.

M	ui/gtk3/switcher.vala

commit 4aadc36a65d5d7b09f27fcc3ef383f043b19259b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-24 17:49:19 +0900

    Disabled to show non-used GUI.

M	setup/main.py
M	setup/setup.ui

commit b0bbfb907b182f1389889b231650fae272490d4d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-24 17:49:04 +0900

    Enable ibus-setup to show the frequently used languages only in IME list.

M	data/ibus-xkb.schemas.in
M	setup/enginecombobox.py
M	setup/main.py

commit 7e2c64bad073ef1e6b449ca5e5d61d152a2c9859
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-24 17:48:07 +0900

    Reload preload engines until users customize the list.
    
    The idea is, if users don't customize the preload_engines with ibus-setup,
    users would prefer to load the system default engines again by login.
    The gconf value 'preload_engine_mode' is
    IBUS_PRELOAD_ENGINE_MODE_USER by default but set
    IBUS_PRELOAD_ENGINE_MODE_LANG_RELATIVE for the initial login.
    If preload_engine_mode is IBUS_PRELOAD_ENGINE_MODE_LANG_RELATIVE,
    ibus-daemon loads the system preload engines by langs.
    If preload_engine_mode is IBUS_PRELOAD_ENGINE_MODE_USER,
    ibus-daemon do not update the gconf value preload_engines.
    On the other hand, if users enable the customized engine checkbutton
    on ibus-setup, ibus-setup sets 'preload_engine_mode' as
    IBUS_PRELOAD_ENGINE_MODE_USER and users can customize the value
    'preload_engines'.

M	data/ibus-xkb.schemas.in
M	setup/main.py
M	setup/setup.ui
M	src/Makefile.am
A	src/ibusxkbtypes.h
M	ui/gtk3/panel.vala

commit fb3bb322ad0c0cef33edd9454dca6fd8d657b30a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-25 13:08:14 +0900

    Add ibus-xkb and libgnomekbd.

M	configure.ac
M	data/ibus-xkb.schemas.in
M	engine/Makefile.am
A	engine/ibus-xkb/Makefile.am
A	engine/ibus-xkb/ibus-xkb-main.c
A	engine/ibus-xkb/xkblib.c
A	engine/ibus-xkb/xkblib.h
M	engine/main.vala
M	engine/xkb.xml.in.in
M	ibus-xkb.pc.in
M	ibus-xkb.spec.in
M	po/POTFILES.in
M	po/POTFILES.skip
M	setup/main.py
A	ui/gtk3/Gkbd-3.0.metadata
M	ui/gtk3/Makefile.am
A	ui/gtk3/Xkl-1.0.metadata
A	ui/gtk3/gkbdlayout.vala.false
A	ui/gtk3/gkbdlayout.vala.true
M	ui/gtk3/keybindingmanager.vala
M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala
A	ui/gtk3/xkblayout.vala

commit 5ebe59fe9ac64c72fe0015060555c2c6ff875683
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-18 13:37:05 +0900

    Fix not to switch engines by non-trigger keys.

M	ui/gtk3/switcher.vala

commit 1e7deb06b6a335e870caadd8a3d56c8e589f6e13
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2012-05-25 12:45:38 +0900

    dconf: don't regenerate 00-upstream-settings after intltool-merge
    
    BUG=https://codereview.appspot.com/6215062/#msg10
    TEST=manually with make distcheck
    
    Review URL: https://codereview.appspot.com/6245050

M	data/dconf/Makefile.am

commit 7f3fd08e1da70e0cdd0959b16a5e2afb35516eda
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2012-05-23 09:55:38 +0900

    gtk3: don't show "missing" icon for each submenu
    
    BUG=none
    TEST=manually
    
    Review URL: https://codereview.appspot.com/6211072

M	ui/gtk3/property.vala

commit 45ff2722d069d2ba4966784a1389996e0a3faf82
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2012-05-20 15:01:01 +0900

    dconf: use text-based key file and dconf update
    
    BUG=none
    TEST=manually
    
    Review URL: https://codereview.appspot.com/6215062

M	data/dconf/Makefile.am
M	data/dconf/make-dconf-override-db.sh

commit 3a4d27b49688b9fc37bf7cd650905541b2fc30ad
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2012-05-17 11:08:14 -0400

    Don't not set orientation when hide lookup table to improve UI performance.
    
    BUG=http://code.google.com/p/ibus/issues/detail?id=1461
    TEST=manually
    
    Review URL: https://codereview.appspot.com/6203085

M	ui/gtk3/candidatepanel.vala

commit 5b5a41af5cca1be2f5cd1b56885748a79751877c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-18 13:36:43 +0900

    Fix GtkBuilder bindtextdomain in ibus-setup.
    
    The patch was provided by Akio Obata <obata at lins dot jp>
    
    BUG=http://code.google.com/p/ibus/issues/detail?id=1453
    TEST=Linux desktop
    
    Review URL: https://codereview.appspot.com/6203045

M	ui/gtk2/i18n.py

commit e09b962a6589c52d185edf7bfa02fd2cfe1b1789
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-25 12:33:49 +0900

    Fixed po/POTFILES.in for make dist.

M	po/POTFILES.in
A	po/POTFILES.skip

commit 9f82399671101f9b507878f1e8a541714529a142
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-24 16:57:04 +0900

    Added vala bindings.

M	Makefile.am
A	bindings/Makefile.am
A	bindings/vala/IBusXKB-1.0.metadata
A	bindings/vala/Makefile.am
A	bindings/vala/ibus-xkb-1.0.deps
M	configure.ac
M	engine/Makefile.am
M	engine/xkb.xml.in.in
M	ibus-xkb.spec.in
M	src/Makefile.am
M	src/ibusxkbxml.c
M	src/ibusxkbxml.h
M	ui/gtk3/Makefile.am
M	ui/gtk3/gtkxkbpanel.xml.in.in
M	ui/gtk3/panel.vala

commit 5ff9de5a726a081da33d707cae5065f08290700c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-21 18:24:52 +0900

    Added dconf dir.

M	Makefile.am
M	configure.ac
M	data/Makefile.am
A	data/dconf/Makefile.am
A	data/dconf/ibus-xkb.convert
A	data/dconf/make-dconf-override-db.sh
A	data/dconf/make-dconf-to-text.sh
A	data/dconf/profile/ibus-xkb
M	data/ibus-xkb.schemas.in

commit 69b55007a94fa0c93e61d1732f982d15158444c6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-18 13:35:40 +0900

    Fixed typo.

M	configure.ac

commit b2775282a7a64cc6d9bbb2808cceeb39fddb0b44
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-18 11:21:23 +0900

    Added translations.

M	po/LINGUAS
A	po/ar.po
A	po/as.po
A	po/bn_IN.po
A	po/ca.po
A	po/da.po
A	po/de.po
A	po/en_GB.po
A	po/es.po
A	po/fa.po
A	po/fr.po
A	po/gu.po
A	po/hi.po
A	po/hu.po
A	po/ibus-xkb.pot
A	po/it.po
M	po/ja.po
A	po/kn.po
A	po/ko.po
A	po/lv.po
A	po/ml.po
A	po/mr.po
A	po/nl.po
A	po/or.po
A	po/pa.po
A	po/pl.po
A	po/pt_BR.po
A	po/ru.po
A	po/sr.po
A	po/sr@latin.po
A	po/ta.po
A	po/te.po
A	po/tg.po
A	po/uk.po
A	po/vi.po
A	po/zh_CN.po
A	po/zh_HK.po
A	po/zh_TW.po

commit 05d426bc9b113ebb89684fca676825a7b4ad9f6d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-16 11:22:12 +0900

    Updated for ibus 1.5.

M	Makefile.am
M	configure.ac
M	data/Makefile.am
A	engine/Makefile.am
A	engine/gensimple.py
A	engine/main.vala
A	engine/xkb.xml.in.in
M	ibus-xkb.spec.in
M	ibus/Makefile.am
M	ibus/__init__.py
D	ibus/__init__.pyc
M	ibus/_config.py.in
M	ibus/xkblayout.py.in
M	ibus/xkbxml.py.in
M	po/POTFILES.in
M	po/ja.po
M	setup/Makefile.am
A	setup/engineabout.py
M	setup/enginecombobox.py
M	setup/enginetreeview.py
T	setup/i18n.py
A	setup/ibus-setup-xkb.desktop.in
M	setup/ibus-setup-xkb.in
M	setup/icon.py
A	setup/keyboardshortcut.py
M	setup/main.py
M	setup/setup.ui
M	setup/xkbsetup.py
M	src/Makefile.am
M	src/ibusxkbxml.c
M	src/ibusxkbxml.h
A	ui/Makefile.am
A	ui/gtk2/Makefile.am
A	ui/gtk2/candidatepanel.py
A	ui/gtk2/engineabout.py
A	ui/gtk2/gtkpanel.xml.in.in
A	ui/gtk2/handle.py
A	ui/gtk2/i18n.py
A	ui/gtk2/ibus-ui-gtk.in
A	ui/gtk2/icon.py
A	ui/gtk2/languagebar.py
A	ui/gtk2/main.py
A	ui/gtk2/menu.py
A	ui/gtk2/notifications.py
A	ui/gtk2/panel.py
A	ui/gtk2/propitem.py
A	ui/gtk2/toolitem.py
A	ui/gtk3/Makefile.am
A	ui/gtk3/application.vala
A	ui/gtk3/candidatearea.vala
A	ui/gtk3/candidatepanel.vala
A	ui/gtk3/grabkeycode.c
A	ui/gtk3/gtkxkbpanel.xml.in.in
A	ui/gtk3/handle.vala
A	ui/gtk3/iconwidget.vala
A	ui/gtk3/keybindingmanager.vala
A	ui/gtk3/panel.vala
A	ui/gtk3/pango.vala
A	ui/gtk3/property.vala
A	ui/gtk3/separator.vala
A	ui/gtk3/switcher.vala
M	xkb/Makefile.am
M	xkb/ibus-engine-xkb-main.c
M	xkb/ibus-engine-xkb-main.h
M	xkb/ibus-xkb-main.c
M	xkb/xkblib.c
M	xkb/xkblib.h
M	xkb/xkbxml.c
M	xkb/xkbxml.h

commit 4952260a65322b064946193e5bd6a51957b7dbce
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2012-05-08 16:47:35 +0900

    Renamed ibus_engine_new_type to ibus_engine_new_with_type.

M	xkb/ibus-engine-xkb-main.c

commit 64a8da3cd13783eb2c6c9dd952e02be63af4a832
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2011-12-30 13:45:05 +0900

    Fixed to return false in ibus_simple_engine_process_key_event
    
    IM clients expect filter_keypress returns FALSE when IME is disabled.
    Now we use the simple engine instead of the disabled state so
    it would be better that process_key_event returns FALSE for ASCII.
    
    BUG=RH#769133
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/5489126

M	xkb/ibus-simple-engine.c

commit 5a122df7d15842cfaafb349d7859a7b76d41f928
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2011-09-05 11:23:42 +0900

    Added cedilla_compose_seqs table for pt_BR.
    
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/4951052

M	xkb/ibus-simple-engine.c
M	xkb/ibus-simple-engine.h

commit d69793a73fd78e0e37be480f5ed1320c76f07966
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-08-31 10:54:30 +0900

    Support dead and hex key event sequence.
    
    Port code from GtkSimpleContext.
    Add codereview.settings
    
    BUG=None
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/4952047
    Patch from Peng Huang <shawn.p.huang@gmail.com>.

A	codereview.settings
M	po/POTFILES.in
M	po/ja.po
M	xkb/Makefile.am
A	xkb/gtkimcontextsimpleseqs.h
M	xkb/ibus-engine-xkb-main.c
A	xkb/ibus-simple-engine.c
A	xkb/ibus-simple-engine.h

commit 1b94982e749ef3c115bb24e30123bd13466e7e98
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2011-08-29 16:13:18 +0900

    Fixed ibus-setup-xkb

M	Makefile.am
M	configure.ac
M	ibus-xkb.spec.in
M	ibus/Makefile.am
M	ibus/__init__.py
A	ibus/_config.py.in
M	ibus/xkbxml.py.in
M	setup/enginecombobox.py
M	setup/enginetreeview.py
M	setup/setup.ui
M	setup/xkbsetup.py

commit 1c127f2ee8494f3d6b69473a575bca1a7c661be5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2011-08-29 11:11:41 +0900

    Fixed a bulid error.

M	ibus-xkb.pc.in
M	src/ibusxkbxml.c
M	xkb/ibus-engine-xkb-main.c

commit 80183739576886de7c054aa38c99a7b2d37978f9
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2011-08-26 17:58:16 +0900

    Initial implementation

A	AUTHORS
A	COPYING
A	ChangeLog
A	Makefile.am
A	NEWS
A	README
A	autogen.sh
A	configure.ac
A	data/Makefile.am
A	data/ibus-xkb.schemas.in
A	ibus-xkb.pc.in
A	ibus-xkb.spec.in
A	ibus/Makefile.am
A	ibus/__init__.py
A	ibus/__init__.pyc
A	ibus/xkblayout.py.in
A	ibus/xkbxml.py.in
A	po/LINGUAS
A	po/Makevars
A	po/POTFILES.in
A	po/ja.po
A	setup/Makefile.am
A	setup/enginecombobox.py
A	setup/enginetreeview.py
A	setup/i18n.py
A	setup/ibus-setup-xkb.in
A	setup/icon.py
A	setup/main.py
A	setup/setup.ui
A	setup/xkbsetup.py
A	src/Makefile.am
A	src/ibusxkbxml.c
A	src/ibusxkbxml.h
A	xkb/Makefile.am
A	xkb/ibus-engine-xkb-main.c
A	xkb/ibus-engine-xkb-main.h
A	xkb/ibus-xkb-main.c
A	xkb/xkblayout.xml.in
A	xkb/xkblayoutconfig.xml.in
A	xkb/xkblib.c
A	xkb/xkblib.h
A	xkb/xkbxml.c
A	xkb/xkbxml.h
